Jump to content

Hello! 👋

These forums are now archived (read only).

Join us on Discord.

Synergy 1.10.3 Released


Jamie Newbon

Recommended Posts

The latest update to Synergy 1 is available to download now. This update includes a range of bug fixes and enhancements to the application. 

Download Synergy 1.10.3 

Here’s what we have been working on in this latest version of Synergy.

Bug fixes:

  • #6546 Filtered out self-assigned IP addresses from being displayed
  • #6541 Fixed connected info text to include without TLS encryption
  • #6527 Config app renders incorrectly on high DPI screens
  • #6526 New TLS/SSL socket handled when no socket
  • #6525 Race condition on disconnecting TLS/SSL socket
  • #6521 Access violation in TLS/SSL socket close
  • #6409 Server freezes when clipboard contains an image
  • #3705 Hotkeys not working on Mac server

Enhancements:

  • #6535 Version URL and added stage check to version check
  • #6529 Cleaner redistributable use in Windows installer
  • #6528 More verbose message for Linux display errors
  • #6524 Minimize config app to system tray
  • #6523 Restore auto-hide on startup for config app
  • #6522 Double click Windows tray icon to show and hide
  • #6520 Support for 32-bit Linux for legacy users
  • #6519 Support for Ubuntu 14.04 LTS for legacy users
  • #6390 Support for OpenSSL 1.1.1 for better security
Link to comment
Share on other sites

#3705 I never know the usage of the hot keys, till I check out the issue ... and it took almost 3yr ??? I really want to use this now, but I properly will wait awhile till I upgrade.

Link to comment
Share on other sites

  • Nick Bolton locked this topic
  • Synergy Team

We have identified two new issues with Synergy v1.10.3.

Please open a support ticket if you're experiencing either of these issues with Synergy v1.10.3.

OpenSSL error:

openssl error: error:140C5042:SSL routines:ssl_undefined_function:called a function you should not call

It appears that an invalid OpenSSL function is called. This occurs on older versions of Linux, or versions of Linux with an older version of OpenSSL. The issue can be discussed further in this thread:

Service fails to start:

Service "Synergy" (synergy) failed to start. Verify that you have sufficient privileges to start system services.

Thanks for letting us know about the issue where the background service fails to start. We think it could be because the installer is not providing the correct VC++ redistributable. Please see this thread for further discussion:

 

  • Like 1
Link to comment
Share on other sites

  • Nick Bolton unpinned this topic
Guest
This topic is now closed to further replies.
×
×
  • Create New...